%define name      gxine
%define version	0.3.3
%define release	1

%define major   1
%define libname libxine%{major}
%define libvers 1

%define	ginstall install -c

Name:        %{name}
Summary:     gtk based gui for xine-libraries
Summary(de): gtk basierende grafische Oberflche fr die xine-Bibliotheken
Version:     %{version}
Release:     %{release}
Copyright:   GPL
Group:       Applications/Multimedia
Source0:     %{name}-%{version}.tar.gz
URL:         http://xine.sourceforge.net/
Packager:    Manfred Tremmel <Manfred.Tremmel@iiv.de>
Requires:    %{libname} >= %{libvers}
BuildPreReq: %{libname}-devel >= %{libvers}
BuildRoot:   %{_tmppath}/%{name}-buildroot

%description
xine is a fully-featured free audio/video player for unix-like systems which
uses libxine for audio/video decoding and playback. For more informations on
what formats are supported, please refer to the libxine documentation.
gxine is a gtk based gui for this xine-libraries alternat to xine-ui.

%description -l de
xine ist ein freies Audio- und Video-Abspielprogramm fr unixartige Systeme
mit umfassenden Funktionen. Zur Audio- und Videodekodierung und Wiedergabe
werden die xine-Bibliotheken aus libxine verwendet. Weitere Informationen
ber die untersttzten Formate entnehmen Sie in der Dokumentation zu libxine.
gxine ist eine gtk basierende grafische Oberflche fr diese xine-Bibliotheken,
alternativ zur xine-ui

%prep
%setup -n %{name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
#
CFLAGS="$RPM_OPT_FLAGS" ./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{?buildroot:%{buildroot}} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/gxin*
%{_libdir}/gxine/gxineplugin.*
%lang(de) %{_mandir}/de/man1/*
#%lang(fr) %{_mandir}/fr/man1/*
#%lang(es) %{_mandir}/es/man1/*
#%lang(pl) %{_mandir}/pl/man1/*
%{_mandir}/man1/*
%{_datadir}/gnome/*
%{_datadir}/gxine/*

%changelog
* Sat Mar 01 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to gxine 0.3
* Mon Dec 16 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- removed alle packman specific and added to gnome-xine cvs
* Sat Dec 07 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to gxine 0.2
* Thu Dec 05 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- initial release
